Выпущены обновления SMF 2.0.16 и 2.0.17

Автор digger®, 29 Декабрь 2019, 05:13:43

« назад - далее »

0 Пользователей и 1 гость просматривают эту тему.

digger®

29 Декабрь 2019, 05:13:43 Последнее редактирование: 27 Март 2020, 10:53:25 от digger®
    Проект Simple Machines Forum выпустил обновление для 2.0.x. Текущей версией становится SMF 2.0.16.

    Это обновление имеет важное значение, поскольку оно исправляет уязвимости и ошибки, а также добавляет поддержку требований Общего регламента защиты данных (GDPR) Европейского Союза. Рекомендуется установить обновление как можно скорее.

Основные изменения в 2.0.16

  • Поддержка политики конфиденциальности в дополнение к соглашению о регистрации
  • Опция соответствия GDPR в основных настройках форума
Включение этой опции добавит новые настройки для соответствия GDPR, включая:
  • Требование от пользователей принять текущую политику конфиденциальности для использования форума
  • При регистрации спрашивать, хочет ли новый участник получать уведомления по email
  • Включение ссылок на основе токенов для отмены подписки в электронных письмах, чтобы участники могли отписаться не входя на форум
  • Предоставление участникам возможности загружать копию информации своего профиля
  • Незначительные изменения работы ряда других функций при необходимости
[/li]
[li]Поддержка PHP 7.2[/li]
[li]Улучшенные хеши безопасности для прокси изображений[/li]
[li]Улучшена безопасность для cookies[/li]
[li]Прочие улучшения безопасности[/li]
[li]Улучшения скриптов установки и обновления[/li]
[/list]

Полный список изменений changelog.

ВАЖНОЕ ПОЯСНЕНИЕ:

  • Если вы используете мод GDPR Helper следуйте этим указаниям:
    • Сделайте резервную копию существующего текста политики конфиденциальности куда-нибудь
    • Обновите мод GDPR Helper до последней версии
    • Удалите мод GDPR Helper
    • Установите обновление SMF 2.0.16
  • Все пользователи, включая администратора, должны будут снова залогиниться на форуме после установки 2.0.16.

Как обновиться до 2.0.16

SMF 2.0.15 можно обновить используя менеджер пакетов. Вы должны увидеть уведомление об обновлении в панели администратора и менеджере пакетов, что позволяет легко загрузить и установить обновление. Если у вас нет уведомления об обновлении, запустите запланированное задание "Получение файлов с сайта Simple Machines" в диспетчере задач. Также, можно вручную скачать пакет обновления со страницы загрузок официального сайта, и установить его с помощью менеджера пакетов.

Если вы используете старые версии SMF, то можете обновиться с помощью полного пакета обновления со страницы загрузок официального сайта. Помните, что использование этого метода обновления потребует переустановки всех установленных на форуме модов.

Если у вас возникли проблемы с загрузкой обновления из панели администратора, вы можете загрузить пакет со страницы пакетов обновлений и установить его как обычный мод.

Более подробную информацию можно получить в Справочных руководствах:
* Полное обновление 
* Пакетное обновление

Оригинал: https://www.simplemachines.org/community/index.php?topic=570986.0

Версии 2.0.16 и 2.0.17 содержат ошибки. Рекомендуется дождаться обновления 2.0.18.

Snow_Irbis

Обновилось из админки без проблем, надеюсь дальше никаких ошибок в логах не посыпет  :)

S.T.A.L.K.E.R.

30 Декабрь 2019, 19:23:26 #2 Последнее редактирование: 30 Декабрь 2019, 19:40:12 от S.T.A.L.K.E.R.
А я то думаю откуда у меня нагрузка на CPU скаканула в 10-ть раз - https://www.simplemachines.org/community/index.php?topic=570986.msg4041415#msg4041415
Код
Мы обнаружили критическую ошибку, связанную с использованием процессорного времени при использовании каналов XML / RSS в последней версии.
Ждите 2.0.17
Я полез править.Или откачусь обратно на 2.0.15 где все работало идеально.Сделаю правку и посмотрю что будет с нагрузкой.

bulatus

30 Декабрь 2019, 21:51:55 #3 Последнее редактирование: 30 Декабрь 2019, 22:03:35 от bulatus
Думал что я такой невезучий у которого это обновление нагибает сервер, оказывается нет... ))) Появиляются новые процессы для apache2 от имени пользователя форума, в полчаса или в час по одному, вот они и вешают понемногу сервер.
вот часть выхлопа top

Цитата: undefined10302 forum+  20  0  457488  52100  41272 R  72.3  0.9  18:25.00 apache2                                                           
 1083 forum+  20  0  456236  69620  57916 R  70.3  1.1  50:53.38 apache2                                                           
1961 forum+  20  0  455984  79188  67872 R  69.0  1.3  63:57.45 apache2                                                           
11900 forum+  20  0  454988  48784  38404 R  66.7  0.8  40:50.44 apache2                                                           
  718 forum+  20  0  455808  66564  55236 R  66.3  1.1  63:01.21 apache2                                                           
  719 forum+  20  0  531988  67776  55980 R  63.7  1.1  52:48.33 apache2                                                           
  720 forum+  20  0  532116  68312  56456 R  60.7  1.1  42:38.43 apache2                                                           
  721 forum+  20  0  532636  84484  72012 R  57.1  1.4  29:03.44 apache2                                                           
8024 forum+  20  0  456472  70904  58912 R  53.8  1.2  8:18.89 apache2   
forum+ (имя пользователя из-под которого крутится форум) это процессы которые появились с момента обновления. На 2.15 такого не было.

Откатился и всё нормально стало.

на сервере PHP 7.0.33-0+deb9u6

S.T.A.L.K.E.R.

Я пока патч вручную пременил.Нагрузка CPU упала с 31% до 4%
Оперативу вроде как не жрало,нагибало именно CPU.У меня график в панели управления сервером,там чётко связь видна как выросла загрузка процессора - как кардиограмма у эпилептика.Когда она высокая такая продержалась в течении суток стало ясно что уже что-то не так,пошел на офф читать.Пока крутится все бодренько.
Версия MySQL: 10.1.41-MariaDB-0+deb9u1
Memcached: 1.4.33
PHP: 7.3.13
Версия Web сервера: nginx/1.16.1

bulatus

Попробую рекомендацию

Цитата: undefinedWe found a critical bug regarding CPU usage when XML/RSS feeds are used in 2.0.16, and will be releasing a fix in the coming days. In the meantime, if you have already updated to 2.0.16, and notice your CPU time being eaten up, please disable the feature under Admin > Main > News and Newsletters > Settings > Enable XML/RSS news!

S.T.A.L.K.E.R.

30 Декабрь 2019, 22:48:11 #6 Последнее редактирование: 30 Декабрь 2019, 23:39:31 от S.T.A.L.K.E.R.
У меня пока 300 онлайн не понять ничего.Они сервер колбасят и так хорошо.
Ночью будет понятно помог патч или нет.И кеш пока ещё не набил,мемкеш обнулился после перехода на другую версию РНР.Нужно дней 5 пока сервер устаканится.

Пы.Зы.Всё,после патча вручную сервер пришел в норму.

Snow_Irbis

А у меня как ни странно никакой повышенной нагрузки на хостинге не было, но на всякий случай отключил ленту как указано в рекомендации.

S.T.A.L.K.E.R.

Цитата: Snow_Irbis от 31 Декабрь 2019, 02:28:46А у меня как ни странно никакой повышенной нагрузки на хостинге не было, но на всякий случай отключил ленту как указано в рекомендации.
Там где график вниз шкребанулся это применение патча.
Вам недоступны вложения в этом разделе.

bvytas

Так уже 2.0.17 появилась...   O0

bulatus

Всё хорошо. Обновился, включил что отключал...
а вот это прикольно

S.T.A.L.K.E.R.

Туда можно не заглядывать.

Delysid

04 Январь 2020, 15:48:34 #12 Последнее редактирование: 04 Январь 2020, 16:10:10 от Delysid
Не могли что ли чистый патч 2.0.16 выпустить без GDPR (а GDPR отдельным модом)... На нестандартной теме много ошибок..  :( Опять неделю голову ломать и вникать во всякие уловки.. :)

Всё равно разработчикам SMF спасибо.. Теперь легче..

Delysid

:facepalm:  Подскажите пожалуйста. Есть ли возможность админу вообще после установки 2.0.16 отключить GDPR чтобы она не появлялась при регистрации и никак не была задействована?

S.T.A.L.K.E.R.

04 Январь 2020, 17:38:18 #14 Последнее редактирование: 04 Январь 2020, 18:09:22 от S.T.A.L.K.E.R.
Цитата: Delysid от 04 Январь 2020, 17:12:03Подскажите пожалуйста. Есть ли возможность админу вообще после установки 2.0.16 отключить GDPR чтобы она не появлялась при регистрации и никак не была задействована?
Центр администрирования  Регистрация  Настройки Enable "Allow the administrators to send me important news by email" by default поставить галочку.И вырезать из формы регистрации,или закоментировать.
И там же Require new members to accept the privacy policy

Delysid

Цитата: S.T.A.L.K.E.R. от 04 Январь 2020, 17:38:18Центр администрирования  Регистрация  Настройки Enable "Allow the administrators to send me important news by email" by default поставить галочку.И вырезать из формы регистрации,или закоментировать.
И там же Require new members to accept the privacy policy
Спасибо. При установке угробил форум, белый экран был.. Еле, еле исправил его и то, что в subs наставилось...
Подскажите пожалуйста.. Тут разница в строках:
Было: $modSettings['rand_seed'] = microtime() * 1000000;
Стало: $modSettings['rand_seed'] = (double) microtime() * 1000000;
Это не замедляет форум?  2funny

S.T.A.L.K.E.R.

Не замедляет.
Я только сам изучаю это обновление.Там изменений,я ходил по админке,прилично очень.И то не факт что все увидел.
Пока изучаю.
И языковых строк новых так же много.

Delysid

Цитата: S.T.A.L.K.E.R. от 04 Январь 2020, 20:40:11Не замедляет.
Я только сам изучаю это обновление.Там изменений,я ходил по админке,прилично очень.И то не факт что все увидел.
Пока изучаю.
И языковых строк новых так же много.
У меня тоже проблемы были при установке 2.0.16. 2.0.17 установилась без нагрузок на сервер..
https://i.postimg.cc/WbK5D2mJ/ohoho.jpg
Я всё установил, но на сервере пока не менял версию PHP. 
Внимательно проверяю пока мелочи, к примеру где поменять "noopener noreferrer" на "nofollow noopener noreferrer".

S.T.A.L.K.E.R.

Вообще скажу честно обновление более муторное как по мне.Думаю откатить все обратно на 2.0.15 и вообще забить на обновы.
Всунули эту GDPR которая и даром не нужна.Сегодня тыкал в кнопочки пытаясь разобраться что да и как и в итоге отправил весь форум заново принимать регистрационное соглашение :facepalm:

Delysid

05 Январь 2020, 00:07:24 #19 Последнее редактирование: 05 Январь 2020, 17:53:45 от Delysid
Цитата: S.T.A.L.K.E.R. от 04 Январь 2020, 22:40:43Вообще скажу честно обновление более муторное как по мне.Думаю откатить все обратно на 2.0.15 и вообще забить на обновы.
Всунули эту GDPR которая и даром не нужна.Сегодня тыкал в кнопочки пытаясь разобраться что да и как и в итоге отправил весь форум заново принимать регистрационное соглашение :facepalm:
Буду пробовать. Видел тесты, что PHP версии быстрее те которые более новые.. По тихоньку и до PHP 7.3. думаю можно пропатчить...
Мне деваться некуда т.к. на сервере 7.2 стандартная и это я уже до 7.1 накрутил пониже..
Также все моды работают кроме Recent Topics. Ошибка deprecated только на этой строке:
Код
while((list($key, $val) = each($admin_areas['config']['areas'])) && $key != 'modsettings')
  $find_me++;
Как я правил ещё 1 год назад многие моды чтобы работали, я не знаю.. Вообще голова не варит и включил временно PHP 7.1 т.к. не могу ошибку поправить...
Ещё вижу разброс нагрузки на сервер больше начал плавать, но не значительно.

Delysid

:facepalm:  Ещё один баг 2.0.16, но слетающая кодировка это шедевр..
Код
// Attachments don't require the entire theme to be loaded.
Код
 if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'dlattach' && (!empty($modSettings['allow_guestAccess']) && $user_info['is_guest']))
Код
 detectBrowser();
Код
 // Load the current theme.  (note that ?theme=1 will also work, may be used for guest theming.)
Код
 else
Код
 loadTheme();



То, что я видел в том, что когда сервер находился в режиме технического обслуживания, я получаю тонну ошибок в журнале.
Оказалось, что проблема заключалась в том, что запрос dlattach, который обычно не нужна тема и просто служит изображение для загрузки, был, когда режим обслуживания был включен и пользователь был гостем, а не показывает пользователю страницу «SITE ПОД ОБСЛУЖИВАНИЕ» ,
Но в этом случае, он был бесконтрольным, потому что тема не была загружена.
Решение, просто добавьте проверку в этой строке, чтобы проверить, нужна ли им тема, так как мы находимся в режиме обслуживания:
Код
if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'dlattach' && (!empty($modSettings['allow_guestAccess']) && $user_info['is_guest']) && (empty($maintenance) || allowedTo('admin_forum'))) {
  detectBrowser();
  }
 // Load the current theme.  (note that ?theme=1 will also work, may be used for guest theming.)
 else
  loadTheme();

S.T.A.L.K.E.R.

А файл не подскажите?Я вообще такого поиском по файлам найти не могу.

Delysid

Цитата: S.T.A.L.K.E.R. от 05 Январь 2020, 15:08:58А файл не подскажите?Я вообще такого поиском по файлам найти не могу.
Извините забыл. Index.php в корневой папке.

Delysid

05 Январь 2020, 17:44:46 #23 Последнее редактирование: 05 Январь 2020, 18:00:00 от Delysid
Всё..  :facepalm:  Сделал откат на 2.0.15 (форум опять летает и нету ощущения как будто подтормаживает) и пробую пойти на этот мод без GDPR:

SMF 2.0.X Branch Patch Tool - Enabling PHP 7.2+ compatability - modification c/o web-develop.ca

This installation process will remove all instances of "create_function" and replace them with anonymous functions.
It also replaces any instances of deprecated code in PHP 7.2.X.
This will allow your forum to be compatible with PHP7.2+ where any previous used syntax has been deprecated.
Many alterations to files must be completed mainly due to the widespread use of "create_function".
This process can be reversed by uninstalling this modification so long as no other modifications or manual edits
were done to the areas in which this modification alters.

Version History
---------------

v1.4
+ replaces each() in Load.php with foreach loop

v1.3
+ fixed calling count() on a scalar or object that doesn't implement the countable interface in ../Sources/PersonalMessage.php


v1.2
+ alters previous callback to anonymous function for modlog
+ alters un_htmlspecialchars() function in Subs.php
+ alters files shown below to replace deprecated code no longer valid in PHP 7.2+:
../Sources/Subs-Sound.php


v1.1
+ alters files shown below to replace instances of "create_function" with anonymous functions:
../Sources/Groups.php
../Sources/ManageMaintenance.php
../Sources/ModerationCenter.php
../Sources/Profile-Modify.php
../Sources/RepairBoards.php
../Sources/Subs-Auth.php
../Sources/Subs-Members.php
../Sources/Subs-Package.php
../Sources/Subs-Post.php


v1.0
+ replaces each() in Subs-Packages.php with foreach loop
+ alters files shown below to replace instances of "create_function" with anonymous functions:
../Sources/Display.php
../Sources/ManageAttachments.php
../Sources/ManageBans.php
../Sources/ManageCalendar.php
../Sources/ManageMail.php
../Sources/ManageMembergroups.php
../Sources/ManageMembers.php
../Sources/ManagePaid.php
../Sources/ManageScheduledTasks.php
../Sources/ManageServer.php
../Sources/ManageSettings.php
../Sources/ManageSmileys.php
../Sources/Modlog.php
../Sources/Subs.php
и установке пакета "SMF 2.0.X - PHP 7.2+ Compatibility"

S.T.A.L.K.E.R.

Не,у меня пока всё тип-топ работат.Хотя попилить пришлось не мало,в том числе и перевод.Перевод весь ещё не доделал правда.

Василич

Цитата: S.T.A.L.K.E.R. от 30 Декабрь 2019, 19:23:26Ждите 2.0.17
Я полез править.Или откачусь обратно на 2.0.15 где все работало идеально.Сделаю правку и посмотрю что будет с нагрузкой.

Мне пришло сообщение от моего провайдера , что надо обновиться до ....... 2.0.17

Что за зверь ?

Delysid

Цитата: S.T.A.L.K.E.R. от 05 Январь 2020, 18:27:47Не,у меня пока всё тип-топ работат.Хотя попилить пришлось не мало,в том числе и перевод.Перевод весь ещё не доделал правда.
Код
while((list($key, $val) = each($admin_areas['config']['areas'])) && $key != 'modsettings')
  $find_me++;
Сталкер помогите ошибку deprecated пропатчить а? (проблема в each)

Почему я откатился? - я посмотрел выше мод сравнив что изменяют в subs.
Мод выше реально патчит команды на совместимость PHP к примеру
Было - стало:
 'validate' => create_function('&$tag, &$data, $disabled', '
'validate' => function() use(&$tag, &$data, $disabled) {
Да и вообще весь мод реально патчит функции.
Посмотрел что патчит 2.0.16 - ничего не патчит в Subs а через базу SQL скрывает проблему добавляя ещё вызовов..
Внимательно сравнил моды и понял что этот патч 2.0.16 не реальный пропатч кода а мнимая заплатка.
Решил пойти другим путём. Установить мод выше и патчить уже если появляются ошибки подсматривая в патче 2.0.16/2.0.17/2.0.18.

Delysid

05 Январь 2020, 20:00:54 #27 Последнее редактирование: 05 Январь 2020, 20:14:36 от Delysid
Цитата: Василич от 05 Январь 2020, 19:09:55Мне пришло сообщение от моего провайдера , что надо обновиться до ....... 2.0.17

Что за зверь ?
https://custom.simplemachines.org/upgrades/
2.0.17 считай фикс дополняющий патч 2.0.16

S.T.A.L.K.E.R.

Цитата: Delysid от 05 Январь 2020, 19:55:03Сталкер помогите ошибку deprecated пропатчить а? (проблема в each)
Согласно мануала нужно переписывать на foreach
Я еще не такой сильный гуру чтобы такое сходу переделывать.Нужно много читать.
Цитата: Василич от 05 Январь 2020, 19:09:55Мне пришло сообщение от моего провайдера , что надо обновиться до ....... 2.0.17
Провайдера пошлите в одно известное место.Пускай на кошечках тренируется.

Delysid

06 Январь 2020, 09:37:48 #29 Последнее редактирование: 06 Январь 2020, 13:27:46 от Delysid
Цитата: S.T.A.L.K.E.R. от 05 Январь 2020, 20:24:15Согласно мануала нужно переписывать на foreach
Я еще не такой сильный гуру чтобы такое сходу переделывать.Нужно много читать.

Еле сделал. Всё таки, я установил ещё обратно 2.0.16 и 2.0.17.
Сейчас форум на 7.3 работает.. Ошибок нет, но ещё тщательно проверю моды sitemaps создающие....

Василич

Цитата: S.T.A.L.K.E.R. от 05 Январь 2020, 20:24:15
ЦитироватьМне пришло сообщение от моего провайдера , что надо обновиться до ....... 2.0.17
Провайдера пошлите в одно известное место.Пускай на кошечках тренируется.


Сорри почему ? Крупная контора РЕГ.ру ... У нее скачивал 2.0.13 в самом начале , потом с нее же обновлялся до 2.0.14 ... Все работает не один год ...

Delysid


Что то после установки патчей и включения PHP 7.3 жрать стал форум больше физической памяти..

S.T.A.L.K.E.R.

Цитата: Василич от 06 Январь 2020, 12:32:43Сорри почему ? Крупная контора РЕГ.ру ... У нее скачивал 2.0.13 в самом начале , потом с нее же обновлялся до 2.0.14
Вы тему,форум читали внимательно?Вы наверно не внимательно читали и не заметили что обновление мягко говоря глючное.Охота возиться с глюками?Тогда вперед.
Я всегда говорил,когда так хостер пишет отвечайте - вам надо,вы и обновляйте,потом возитесь с багами,глюками,доделывайте перевод.Обычно действует отрезвляюще.

Delysid

07 Январь 2020, 10:19:08 #33 Последнее редактирование: 07 Январь 2020, 10:36:57 от Delysid
Добавят в 2.0.18 (Character corruption upon inline edit after 2.0.16 update) официальное для script.js

S.T.A.L.K.E.R.

Цитата: Delysid от 07 Январь 2020, 10:19:08Добавят в 2.0.18 (Character corruption upon inline edit after 2.0.16 update) официальное для script.js

Патч который там указан так же работает и помогает.

Delysid

Цитата: S.T.A.L.K.E.R. от 07 Январь 2020, 12:18:44Патч который там указан так же работает и помогает.
Да, работает. И есть порывы именно его вернуть а не предложенное разработчиками.  :)
Да и никто этот фикс не видит и вероятно это всё написано, чтобы подёргать разрабов и ещё бэклинк вставить.
Интересная закономерность, как там появился фикс сразу через некоторое время в течении часа тему
перенесли в "Баги" и на следующий день разраб опубликовал свой вариант.

Как я сменил скрипт от разрабов, сегодня под юзер агентом Apple гоогл пошёл сканировать все скрипты форума..
Если он мне что плохое напишет в вебмастере - сразу отпишусь. 

S.T.A.L.K.E.R.

https://www.simplemachines.org/community/index.php?topic=570994.msg4041165#msg4041165
Ещё один баг,подтверждаю
Попробуйте в админке почистить логи модерации.

Delysid

Цитата: S.T.A.L.K.E.R. от 08 Январь 2020, 18:57:48https://www.simplemachines.org/community/index.php?topic=570994.msg4041165#msg4041165
Ещё один баг,подтверждаю
Попробуйте в админке почистить логи модерации.
У меня нету проблем... Перепроверил и даже все логи где возможно контрольно очистил..
Я нашёл ошибку в моде недавно sitemap от SEO Sitemap, Markus Kress, как её пропатчил уже 2 дня никаких ошибок нету на удивление..

S.T.A.L.K.E.R.

Цитата: Delysid от 08 Январь 2020, 20:55:35У меня нету проблем... Перепроверил и даже все логи где возможно контрольно очистил..
Такая ошибка начиная с 2.0.16,включая чистую установку 2.0.17,я проверил.
Значит ждём 2.0.18 ну и так далее.Пока не отловят все баги и не доведут до стабильности какая была в 2.0.15
Я уже думаю откатиться на 2.0.15.

Delysid

Цитата: S.T.A.L.K.E.R. от 08 Январь 2020, 21:04:55Такая ошибка начиная с 2.0.16,включая чистую установку 2.0.17,я проверил.
Значит ждём 2.0.18 ну и так далее.Пока не отловят все баги и не доведут до стабильности какая была в 2.0.15
Я уже думаю откатиться на 2.0.15.
Получилось её получить. Да есть.
Database error, given array of string values is empty. (uneditable)
Function: ViewModlog
Как вариант отключить пока логи модерации

Delysid

Зафиксить попробовать
Код
<file name="$sourcedir/Modlog.php">
  <operation>
   <search position="replace"><![CDATA['data' => array(
     'function' => create_function('$entry', '
      return \'<input type="checkbox" class="input_check" name="delete[]" value="\' . $entry[\'id\'] . \'"\' . ($entry[\'editable\'] ? \'\' : \' disabled="disabled"\') . \' />\';
     '),
     'style' => 'text-align: center;',
    ),]]></search>
   <add><![CDATA['data' => array(
     'function' => function($entry) {
      return '<input type="checkbox" class="input_check" name="delete[]" value="' . $entry['id'] . '"' . ($entry['editable'] ? '' : ' disabled="disabled"') . ' />';
     },
     'style' => 'text-align: center;',
    ),]]></add>
  </operation>
  <operation>
   <search position="replace"><![CDATA[// Do some formatting of the action string.
 $callback = pregReplaceCurry('list_getModLogEntriesCallback', 3);]]></search>
   <add><![CDATA[// Do some formatting of the action string.]]></add>
  </operation>
  <operation>
   <search position="replace"><![CDATA[$callback($entries, $k)]]></search>
   <add><![CDATA[function ($matches) use ($entries, $k)
   {
    return isset($entries[$k]['extra'][$matches[1]]) ? $entries[$k]['extra'][$matches[1]] : '';
   }]]></add>
  </operation>

S.T.A.L.K.E.R.

Цитата: Delysid от 08 Январь 2020, 21:20:25Зафиксить попробовать
Код
Это откуда то фикс взяли?

Delysid


S.T.A.L.K.E.R.

Цитата: Delysid от 08 Январь 2020, 21:48:38Из SMF 2.0.X Branch Patch Tool
А дайте ссылку посмотреть.
То что выше увы не помогло.

Delysid

Цитата: S.T.A.L.K.E.R. от 08 Январь 2020, 22:01:27А дайте ссылку посмотреть.
То что выше увы не помогло.
Так в теме же этой про мод этот написано.

S.T.A.L.K.E.R.

Цитата: Delysid от 08 Январь 2020, 22:07:12Так в теме же этой про мод этот написано.
А,это то что фиксит 2.0.15 для работы с РНР 7.2
Не,это не поможет.Это надо сейчас теперь патч ждать.
Я в принципе разобрал от чего ошибка и как её убрать.Но лезть не буду,обожду фикса от них.
Ошибка не критическая,обождёт.

Delysid


https://postimg.cc/xXWLH2fm
Вот и всё.. После установки патча 2.0.16 и 2.0.17  :'(

S.T.A.L.K.E.R.

Цитата: Delysid от 08 Январь 2020, 22:30:47Вот и всё.. После установки патча 2.0.16 и 2.0.17
Не,как и было
Вам недоступны вложения в этом разделе.

Delysid

Цитата: S.T.A.L.K.E.R. от 08 Январь 2020, 22:36:37Стоп,это не то....
Сейчас гляну.
Моя картинка из Google Search Console Скорость загрузки (экспериментальная функция)

S.T.A.L.K.E.R.

Цитата: Delysid от 08 Январь 2020, 22:39:19Моя картинка из Google Search Console Скорость загрузки (экспериментальная функция)
Я понял,тоже сегодня смотрел.Выше так же скрин сделал.

Delysid

Цитата: S.T.A.L.K.E.R. от 08 Январь 2020, 22:41:42Я понял,тоже сегодня смотрел.Выше так же скрин сделал.
Там если открыть отчёт.. То дата когда он последний раз сделан...
Последнее обновление у меня 07.01.2020, пошёл проверять весь код 2.0.16 и искать есть ли где задержки.

S.T.A.L.K.E.R.

Цитата: Delysid от 08 Январь 2020, 22:55:10Там если открыть отчёт.. То дата когда он последний раз сделан...
Смотрел,открывал.0,проблем нет
Цитата: Delysid от 08 Январь 2020, 22:55:10Последнее обновление у меня 07.01.2020,
Точно так же - Последнее обновление: 07.01.2020

Delysid

:facepalm:
Это не ошибка. Клоудфларе показывает:
First Interactive
Mobile (3G) 5.2 s
Desktop (Cable) 1 s
Что то по мобильным сильно ударило обновление.. Что делать не знаю.. Так гугл в поиске отбросит..
Сегодня я расстроен, какой не справедливый мир.. Ушёл.

S.T.A.L.K.E.R.

Часть модов перестало работать. Некоторые полностью. Моды очень нужны, вечером буду откатываться и на этом с обновлениями баста.

valdnieks

Можно устанавливать с ошибками?
Registered Linux user #325316
Последняя версия SMF: SMF 2.0.15
Версия GD: bundled (2.1.0 compatible)
Версия MySQL: 5.5.23
PHP: 5.6.30
Версия Web сервера: Apache/2.4.25 (Win64) PHP/5.6.30

S.T.A.L.K.E.R.

Цитата: valdnieks от 10 Январь 2020, 14:47:29Можно устанавливать с ошибками?
Если есть желание к тем ошибкам и глюкам что у Вас уже есть добавить ещё глюков и багов то да,можно.
Цитата: Delysid от 08 Январь 2020, 23:05:34:facepalm:
Сегодня я расстроен, какой не справедливый мир.. Ушёл.
Откатился обратно на крайний свой последний бекап.Что там была за версия уже и не помню,или 14 или 15.
Главное что работает стабильно уже больше двух лет,пускай так далее и работает.С обновами завязал окончательно.

valdnieks

Цитата: S.T.A.L.K.E.R. от 10 Январь 2020, 20:02:45Если есть желание к тем ошибкам и глюкам что у Вас уже есть добавить ещё глюков и багов то да,можно.

Каждый день что-то с форумом происходит в 03:00. Ошибки появляются или исчезают. Например, load.php, портал изменился.
Registered Linux user #325316
Последняя версия SMF: SMF 2.0.15
Версия GD: bundled (2.1.0 compatible)
Версия MySQL: 5.5.23
PHP: 5.6.30
Версия Web сервера: Apache/2.4.25 (Win64) PHP/5.6.30

Delysid

Цитата: S.T.A.L.K.E.R. от 10 Январь 2020, 20:02:45Если есть желание к тем ошибкам и глюкам что у Вас уже есть добавить ещё глюков и багов то да,можно.Откатился обратно на крайний свой последний бекап.Что там была за версия уже и не помню,или 14 или 15.
Главное что работает стабильно уже больше двух лет,пускай так далее и работает.С обновами завязал окончательно.
Я откатываться не буду.. Не большой смысл для меня если я потеряю в поисковиках позиции - всё равно сообщество знает про сайт и он на донатах выкарабкивается.
Как не странно у меня все моды работают и нету ошибок.
Я нашёл почему позиции упали на мобильных. В патче что то делали с выводом аватара и proxy и
к изменению что патчит 2.0.16 гугл начал плюсовать время вызова на отображения аватара..
Буду надеется что перепроверит. Хотя походу бесполезно...

S.T.A.L.K.E.R.

Цитата: Delysid от 11 Январь 2020, 09:19:34Я откатываться не буду.. Не большой смысл для меня если я потеряю в поисковиках позиции - всё равно сообщество знает про сайт и он на донатах выкарабкивается.
Как не странно у меня все моды работают и нету ошибок.
Я в принципе разобрался со всем,там у меня перестало работать именно из-за введения GDPR.Немного поправил то что не работало и всё взлетело.Пока обкатываю на тестовом,если будет нормально то перенесу изменения на основной.
Цитата: Delysid от 11 Январь 2020, 09:19:34В патче что то делали с выводом аватара и proxy и
к изменению что патчит 2.0.16
Проксирование меняли это точно.За аватарки не смотрел
Цитата: Delysid от 11 Январь 2020, 09:19:34гугл начал плюсовать время вызова на отображения аватара..
А вот у меня аватарки лежат в отдельной папке может по этому у меня по графику всё нормально...

Delysid

Цитата: S.T.A.L.K.E.R. от 11 Январь 2020, 13:20:41Я в принципе разобрался со всем,там у меня перестало работать именно из-за введения GDPR.Немного поправил то что не работало и всё взлетело.Пока обкатываю на тестовом,если будет нормально то перенесу изменения на основной.Проксирование меняли это точно.За аватарки не смотрелА вот у меня аватарки лежат в отдельной папке может по этому у меня по графику всё нормально...
Так у меня тоже отдельно. Походу разница в том что у меня притормаживание с дополнительными запросами index.php?action=dlattach;attach=XXX;type=avatar, как сменил патч и что то поменялось и гугл это словил и задетектил для мобильных ухудшение..
Но после такого чтения я в 2.1 не ногой  2funny  https://github.com/SimpleMachines/SMF2.1/issues/5734
я представляю, что тут надо будет VPS покупать за 80 баксов в месяц чтобы всё быстро работало и не выпадало из поиска гугла...  ;D

S.T.A.L.K.E.R.

Пока удалось подружить всё,разобрался что к чему,отвалился мод на хуках и мод пришлось править
Осталось только дождаться фикса для очистки лога,разобрался я и там и уже и правки опробовал.Но лезть и ставить костыль пока не охота.Дождусь официального фикса.

Delysid

Цитата: S.T.A.L.K.E.R. от 11 Январь 2020, 17:29:06Пока удалось подружить всё,разобрался что к чему,отвалился мод на хуках и мод пришлось править
Осталось только дождаться фикса для очистки лога,разобрался я и там и уже и правки опробовал.Но лезть и ставить костыль пока не охота.Дождусь официального фикса.


Я ничего не жду.. Как маркетолог могу сказать, что будет последний патч после которого навряд ли будут
обновления. Очень открыто всё видно, что разработчики намереваются всех согнать на 2.1 и этот
последний патч будет мостом для 2.1 и потом всё.
Ой, что будет что будет.. Будет страшный хайп когда начнётся переход кто в PHP не понимает на 2.1,
будет куча патчей и эксплоитов..  ;D  Я отсижусь по возможности до окончания возможности работы 2.0 на PHP 7.4  :)
И подожду когда сможет работать 2.1 в PHP 7.5  :)

S.T.A.L.K.E.R.

Цитата: Delysid от 11 Январь 2020, 18:21:07Ой, что будет что будет.. Будет страшный хайп когда начнётся переход кто в PHP не понимает на 2.1,
А зачем переходить вообще?Мне если честно годами и на 2.0.15 было замечательно.
Не планирую вообще никуда тыкаться.

istambulz

Добрый день. Можно ли обновиться обратно с 2.0.17 на 2.0.15 ? После обновления на 2.0.17, не могу зайти под своим ником, нажимаю даже на забыли пароль ? Меняю пароль по почте, и все равно не заходит на форум! 

Delysid

Цитата: S.T.A.L.K.E.R. от 11 Январь 2020, 18:41:25А зачем переходить вообще?Мне если честно годами и на 2.0.15 было замечательно.
Не планирую вообще никуда тыкаться.

В общем у меня качели на грани.. Придётся оптимизировать загрузку скриптов.  :-\

Delysid

Цитата: istambulz от 13 Январь 2020, 16:55:55Добрый день. Можно ли обновиться обратно с 2.0.17 на 2.0.15 ? После обновления на 2.0.17, не могу зайти под своим ником, нажимаю даже на забыли пароль ? Меняю пароль по почте, и все равно не заходит на форум!
Ввели дополнительные куки.. На оф. форуме тема есть, мол у кого не входит нужно прописать принудительно в скрипт параметр дающий работать по старому. К сожалению нету в закладке этой темы..

istambulz

Цитата: Delysid от 14 Январь 2020, 23:59:39Ввели дополнительные куки.. На оф. форуме тема есть, мол у кого не входит нужно прописать принудительно в скрипт параметр дающий работать по старому. К сожалению нету в закладке этой темы..
Подскажите пожалуйста что за скрипт, и куда его вставлять! Заранее спасибо!

Delysid

Цитата: istambulz от 17 Январь 2020, 00:13:06Подскажите пожалуйста что за скрипт, и куда его вставлять! Заранее спасибо!
На официальном форуме simplemachines.org есть статья про дополнительные куки в последних патчах и там написано, что делать и куда и какую строку поменять в скрипте чтобы куки работали по старому... В закладке у меня этой статьи нету, мне искать также как и вам.

istambulz

Цитата: Delysid от 17 Январь 2020, 04:20:47На официальном форуме simplemachines.org есть статья про дополнительные куки в последних патчах и там написано, что делать и куда и какую строку поменять в скрипте чтобы куки работали по старому... В закладке у меня этой статьи нету, мне искать также как и вам.
Не получается найти. Может быть кто то уже исправлял этот случай ?

Delysid

18 Январь 2020, 18:15:14 #69 Последнее редактирование: 27 Январь 2020, 20:00:38 от digger®
Цитата: istambulz от 18 Январь 2020, 00:34:19Не получается найти. Может быть кто то уже исправлял этот случай ?
https://www.simplemachines.org/community/index.php?topic=570989.0

Farabundo

Цитата: S.T.A.L.K.E.R. от 11 Январь 2020, 18:41:25А зачем переходить вообще?Мне если честно годами и на 2.0.15 было замечательно.
Не планирую вообще никуда тыкаться.

Здравствуйте, я не профессиональный админ, до определённого времени мне помогали с администрированием, потом остался один. Пользовался подсказками, подсмотренными здесь, апнулся в итоге до 2.0.15. (есть моды) и тоже жил, не тужил.

Почитав о проблемах с 2.0.16. и 2.0.17., с радостью остался бы на 2.0.15., но последнее время в логах горы ошибок и форум раз в неделю падает, ошибка "Table './r0069996_smfdb/usmf_messages' is marked as crashed and last (automatic?) repair failed". Проверка базы всё мгновенно восстанавливает, но хотелось бы попросить подсказки у более продвинутых в SMF - в чём может быть проблема, и как справиться?

S.T.A.L.K.E.R.

Цитата: Farabundo от 13 Февраль 2020, 23:05:20Почитав о проблемах с 2.0.16. и 2.0.17., с радостью остался бы на 2.0.15., но последнее время в логах горы ошибок и форум раз в неделю падает, ошибка "Table './r0069996_smfdb/usmf_messages' is marked as crashed and last (automatic?) repair failed". Проверка базы всё мгновенно восстанавливает, но хотелось бы попросить подсказки у более продвинутых в SMF - в чём может быть проблема, и как справиться?
БД большая?

Farabundo



Farabundo

Цитата: digger® от 15 Февраль 2020, 22:51:35Посмотрите записи в логе mysql, что то наверняка происходит в том момент из-за чего таблица бьется.
Спасибо, когда это произойдёт в следующий раз, сделаю и отпишу.